Package net.shibboleth.idp.saml.saml2.profile.impl

# Class ProcessAssertionsForAuthentication.DefaultSAMLConsumer

java.lang.Object
net.shibboleth.idp.saml.saml2.profile.impl.ProcessAssertionsForAuthentication.DefaultSAMLConsumer

All Implemented Interfaces:
  `BiConsumer<ProfileRequestContext,AuthnStatement>`

Enclosing class:
  ProcessAssertionsForAuthentication

private final class ProcessAssertionsForAuthentication.DefaultSAMLConsumer extends Object implements BiConsumer<ProfileRequestContext,AuthnStatement>
Default implementation of a "sink" for the SAML objects preserved by this action.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultSAMLConsumer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext profileRequestContext, AuthnStatement statement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiConsumer

`andThen`

## Constructor Details

### DefaultSAMLConsumer

private DefaultSAMLConsumer()

## Method Details

### accept

public void accept(@Nullable ProfileRequestContext profileRequestContext, @Nullable AuthnStatement statement)

Specified by:
  `accept` in interface `BiConsumer<ProfileRequestContext,AuthnStatement>`